rte_bbdev_stats(3)

NAME
rte_bbdev_stats

SYNOPSIS

#include <rte_bbdev.h>

  Data Fields

uint64_t enqueued_count
uint64_t dequeued_count
uint64_t enqueue_err_count
uint64_t dequeue_err_count
uint64_t enqueue_warn_count
uint64_t dequeue_warn_count
uint64_t enqueue_status_count [RTE_BBDEV_ENQ_STATUS_SIZE_MAX]
uint64_t acc_offload_cycles
uint16_t enqueue_depth_avail

Detailed Description

Device statistics.

Definition at line 268 of file rte_bbdev.h.

Field Documentation

  uint64_t enqueued_count
Count of all operations enqueued

Definition at line 269 of file rte_bbdev.h.

  uint64_t dequeued_count
Count of all operations dequeued

Definition at line 270 of file rte_bbdev.h.

  uint64_t enqueue_err_count
Total error count on operations enqueued

Definition at line 272 of file rte_bbdev.h.

  uint64_t dequeue_err_count
Total error count on operations dequeued

Definition at line 274 of file rte_bbdev.h.

  uint64_t enqueue_warn_count
Total warning count on operations enqueued.

Definition at line 276 of file rte_bbdev.h.

  uint64_t dequeue_warn_count
Total warning count on operations dequeued.

Definition at line 278 of file rte_bbdev.h.

  uint64_t enqueue_status_count[RTE_BBDEV_ENQ_STATUS_SIZE_MAX]
Total enqueue status count based on rte_bbdev_enqueue_status enum.

Definition at line 280 of file rte_bbdev.h.

  uint64_t acc_offload_cycles
CPU cycles consumed by the (HW/SW) accelerator device to offload the enqueue request to its internal queues.

•   For a HW device this is the cycles consumed in MMIO write

•   For a SW (vdev) device, this is the processing time of the bbdev operation

Definition at line 287 of file rte_bbdev.h.

  uint16_t enqueue_depth_avail
Available number of enqueue batch on that queue.

Definition at line 289 of file rte_bbdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.